#include <iostream>

using namespace std;
int main()
{
     int n,ossz=0,ex=0,ey=0;
     cin>>n;
     int x[n],y[n],z[n];
     for(int i=0;i<n;i++){
        cin>>x[i];
     }
     for(int i=0;i<n;i++){
        cin>>y[i];
     }
     for(int i=0;i<n;i++){
        cin>>z[i];
     }
     for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(x[i]==y[j]){
                for(int l=0;l<n;l++){
                    if(z[l]==(j+1))
                        ossz++;
                }
            }
        }
     }
     cout<<ossz;
}